package com.bocloud.cmp.model.jumpserver;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONField;

public class AppClient {
    private Long id;
    private String name;
    private String tag;
    private String icon;
    private Boolean self;
    private JSONObject script;
    @JSONField(name = "remoteapp")
    private Boolean remoteApp;
    private String remoteExe;
    private Boolean keyboardRecord;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Boolean getSelf() {
        return self;
    }

    public void setSelf(Boolean self) {
        this.self = self;
    }

    public JSONObject getScript() {
        return script;
    }

    public void setScript(JSONObject script) {
        this.script = script;
    }

    public Boolean getRemoteApp() {
        return remoteApp;
    }

    public void setRemoteApp(Boolean remoteApp) {
        this.remoteApp = remoteApp;
    }

    public String getRemoteExe() {
        return remoteExe;
    }

    public void setRemoteExe(String remoteExe) {
        this.remoteExe = remoteExe;
    }

    public Boolean getKeyboardRecord() {
        return keyboardRecord;
    }

    public void setKeyboardRecord(Boolean keyboardRecord) {
        this.keyboardRecord = keyboardRecord;
    }
}
